* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;

	/*By default, our element's border, padding,
	are calculated on top of the content.
	*/

}

#div1 {
	/*margin outside element*/
	/*border space between margin and padding*/
	/*padding space inside the element, between border
	and content*/
	/*margins and paddings have 4 directions */
	/*margin: <value - adds margin on all sides>*/
	/*margin: <topbottom> <leftright>*/
	/*margin: <top><L-R><bottom>*/
	/*margin: if 4 sides - clockwise*/
	/*margin: 100px 10px 5px 50px;*/
	border: 2px solid black;
	padding: 20px;
	background-color: red;
	height: 100px;
	width: 100px;
	display: inline-block;
	vertical-align: top;

	/*without box-sizing or the default: 

		Width is calculated like this: 
		2px left border + 50px 20px left padding + 100px Width + 20px right
		padding + 2px right border = 144px

		box-sizing:  content-box;
		allows to determine how to calculate the size
		of elements.

		width Box-sizing: border-box ;

		Width is calcualted :
		2px leftborder + 20px leftpadding + 56px content width
		+ 20px right padding + 2px right border = 100px

		box-sizing: border-box; border and padding included
		in the total wdth of our element.

	inline vs block vs inline-block

	block occupy whole width of its prent & breks the line.
	however, we cn mnipulte the height nd wisth of our block element.

	inline will only occupy size of its content. You cnt set the width nd
	the height of n inline element. This will then disply elements 
	beside ech other.

	inline-block works like inline element. Will not strt on  new line nd will 
	element beside ech other. Here you cn set height nd width.
	
	vertical-align aligns items vertically from the top.
	It is used in conjunction with inline-block element.*/
}

#div2 {
	border: 2px solid black;
	padding: 20px;
	background-color: orange;
	height: 100px;
	width: 100px;
	display: inline-block;
	vertical-align: top;
}
#span1 {
	display: inline-block;
	border: 2px solid black;
	background-color: green;
	height: 100px;
	width: 100px;
	vertical-align: top;
}
#span2 {
	display: inline-block;
	border: 2px solid black;
	background-color: blue;
	height: 100px;
	width: 100px;
}